#!/bin/sh
hostname=127.0.0.1
testDir=./transactd/build/test_tdcl/
benchDir=./transactd/build/bench_td/
stmtDir=./transactd/build/querystmts/
xmlDir=./transactd/build/querystmts/
if [ -e ./bin/test_tdclcpp_64m ] ; then testDir=./bin/;fi
if [ -e ./bin/bench_tdclcpp_c_64m ] ; then benchDir=./bin/;fi
if [ -e ./bin/querystmts ] ; then stmtDir=./bin/;fi
if [ -e ./build/querystmts/belongsTo.xml ] ; then xmlDir=./build/querystmts/;fi


echo Please input Transactd host name or ip address.
read hostname
if [ -z "$hostname" ] ; then hostname=localhost;fi

echo Starting test... $hostname
"$testDir"test_tdclcpp_64m --show_progress=yes --host="$hostname" --user=root --pwd=abc
"$testDir"test_tdclcpp_v3_64m --show_progress=yes --host="$hostname" --user=root --pwd=abc
echo

if [ -e "$benchDir"bench_tdclcpp_c_64m ]; then
	#echo Starting insert read update bench marks  ...
	#"$benchDir"bench_tdclcpp_64m "tdap://root@""$hostname""/test?dbfile=test.bdf&pwd=abc"  0 -1
	#echo
	echo Starting insert read update bench marks convenience  ...
	"$benchDir"bench_tdclcpp_c_64m "tdap://root@""$hostname""/test?dbfile=test.bdf&pwd=abc"  0 -1
	echo
	
	echo Starting a query bench mark...
	"$benchDir"bench_query_64m 0 "$hostname"
	echo
	echo Starting  execute query of xml...
	"$stmtDir"querystmts  -q"$xmlDir"belongsTo.xml
	echo
fi
echo ...Done